Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.util
Class I2PProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  net.i2p.util.I2PProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class I2PProperties

extends Properties

This class contains a number of properties ((key,value)-pairs). Additionally, it adds the possibility for callbacks, to allow immediate response to changing properties.

Author:
  Mathiasdm
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `I2PProperties.I2PPropertyCallback`

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`I2PProperties()`
`I2PProperties(Properties defaults)`

Method Summary
`void` | `addCallBack(I2PProperties.I2PPropertyCallback callback)`
`void` | `removeCallBack(I2PProperties.I2PPropertyCallback callback)`
`Object` | `setProperty(String key, String value)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2PProperties

    public I2PProperties()

### I2PProperties

    public I2PProperties(Properties defaults)

Method Detail

### addCallBack

    public void addCallBack(I2PProperties.I2PPropertyCallback callback)

### removeCallBack

    public void removeCallBack(I2PProperties.I2PPropertyCallback callback)

### setProperty

    public Object setProperty(String key,
                              String value)

  Overrides:
    `setProperty` in class `Properties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD